Show / Hide Table of Contents

# ChannelReader<T> Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public abstract class ChannelReader<T>

##### Inheritance

System.Object → ChannelReader<T>

#### Type Parameters

`T`

### Members

#### Properties

Name | Description
--- | ---
Completion |

#### Methods

Name | Description
--- | ---
ReadAllAsync(CancellationToken) |
ReadAsync(CancellationToken) |
TryRead(out T) |
WaitToReadAsync(CancellationToken) |

### Properties

#### Completion

    public abstract UniTask Completion { get; }

##### Property Value

UniTask

### Methods

#### ReadAllAsync(CancellationToken)

    public abstract IUniTaskAsyncEnumerable<T> ReadAllAsync(CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IUniTaskAsyncEnumerable<T>

#### ReadAsync(CancellationToken)

    public virtual UniTask<T> ReadAsync(CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<T>

#### TryRead(out T)

    public abstract bool TryRead(out T item)

##### Parameters

`item` T

##### Returns

System.Boolean

#### WaitToReadAsync(CancellationToken)

    public abstract UniTask<bool> WaitToReadAsync(CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<System.Boolean>